#include "dialog.h"
#include "ui_dialog.h"
#include <QMovie>
#include <QDebug>

Dialog::Dialog(QWidget *parent) :
    QDialog(parent),
    ui(new Ui::Dialog)
{
    ui->setupUi(this);
    this->pMovie = new QMovie(":/source.gif");
    this->pMovie->start();
    ui->label->setMovie(this->pMovie);
}

Dialog::~Dialog()
{
    delete this->pMovie;
    delete ui;
}
